
CephFS - Bug #44393

pybind/mgr/volumes: add `mypy` support

03/03/2020 02:25 PM - Michael Fritch

Status: Resolved % Done: 0%

Priority: High   

Assignee: Michael Fritch   

Category:    

Target version: v15.0.0   

Source: Development Affected Versions: v14.2.8, v15.0.0

Tags:  ceph-qa-suite:  

Backport: nautilus Component(FS): mgr/volumes

Regression: No Labels (FS):  

Severity: 3 - minor Pull request ID: 33674

Reviewed:  Crash signature:  

Description

Adds mypy checks to the mgr/volumes modules.

Related issues:

Copied to CephFS - Backport #44473: nautilus: pybind/mgr/volumes: add `mypy` ... Resolved

History

#1 - 03/03/2020 05:14 PM - Patrick Donnelly

- Project changed from mgr to CephFS

- Subject changed from mgr/volumes: add `mypy` support to pybind/mgr/volumes: add `mypy` support

- Category deleted (ceph-mgr)

- Status changed from New to Fix Under Review

- Assignee set to Michael Fritch

- Priority changed from Normal to High

- Backport set to nautilus

- Component(FS) mgr/volumes added

#2 - 03/06/2020 04:53 AM - Patrick Donnelly

- Status changed from Fix Under Review to Pending Backport

#3 - 03/06/2020 10:31 AM - Nathan Cutler

- Copied to Backport #44473: nautilus: pybind/mgr/volumes: add `mypy` support added

#4 - 03/10/2020 05:44 PM - Nathan Cutler

(venv) smithfarm@wilbur:~/src/ceph/smithfarm/ceph> git branch --contains e20ad96dbfbdc9396e852a40a8d878f0cfb9a

584

  master

* octopus

 

No "octopus" backport needed.
#5 - 03/23/2020 05:19 PM - Michael Fritch

a backport for this is more involved that it would appear due to lack of 

mypy

support in nautilus and the need for the py3 

typing

module.    

should we consider closing this issue and only support 

mypy

from octopus forward?

#6 - 03/30/2020 02:27 PM - Ramana Raja

- Status changed from Pending Backport to Resolved

#7 - 03/30/2020 02:29 PM - Ramana Raja

Michael Fritch wrote:

a backport for this is more involved that it would appear due to lack of [...] support in nautilus and the need for the py3 [...] module.

should we consider closing this issue and only support [...] from octopus forward?

 

Agree.

#8 - 03/30/2020 10:33 PM - Nathan Cutler

Just to clarify, there is no src/pybind/mgr/tox.ini in nautilus and fef6450834b665b8b05703a8cbb690a04c4ba217 which added mgr/volumes to the

mypy checks in that file was not backported, but a substantial part of https://github.com/ceph/ceph/pull/33674 (i.e. commits fixing various bugs found

by running the mypy checks on the code in master) was backported to nautilus via this tracker issue.
